Begin updating docs; remove two unused exit codes.
[mailshears.git] / lib / mailshears.rb
index 287ee2b9619ef3b2c7466000e147e5a101a6f675..55a87f8324918f317b8c4b893ef752165f77bad8 100644 (file)
@@ -1,13 +1,7 @@
-# Load the rest of the code we'll use.
+# Load only the files needed by our executable. The library files are
+# supposed to require what they need themselves.
 
-# And the necessary classes.
-require 'mailshears/configuration'
-require 'mailshears/errors'
-require 'mailshears/exit_codes'
-require 'mailshears/postfixadmin_db'
-
-cfg = Configuration.new()
-
-cfg.plugins.each do |plugin_file|
-  require "mailshears/plugins/#{plugin_file}"
-end
+require 'common/configuration'
+require 'common/errors'
+require 'common/exit_codes'
+require 'common/user_interface'